# Connectivity # Directory # Services ## List Workers VPC connectivity services `client.connectivity.directory.services.list(ServiceListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/accounts/{account_id}/connectivity/directory/services` List Workers VPC connectivity services ### Parameters - `params: ServiceListParams` - `account_id: string` Path param: Account identifier - `page?: number` Query param: Current page in the response - `per_page?: number` Query param: Max amount of entries returned per page - `type?: "tcp" | "http" | null` Query param - `"tcp"` - `"http"` ### Returns - `ServiceListResponse = InfraHTTPServiceConfig | InfraTCPServiceConfig` - `InfraHTTPServiceConfig` - `host: InfraIPv4Host | InfraIPv6Host | InfraDualStackHost | InfraHostnameHost` - `InfraIPv4Host` - `ipv4: string` - `network: Network` - `tunnel_id: string` - `InfraIPv6Host` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraDualStackHost` - `ipv4: string` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraHostnameHost` - `hostname: string` - `resolver_network: ResolverNetwork` - `tunnel_id: string` - `resolver_ips?: Array | null` - `name: string` - `type: "tcp" | "http"` - `"tcp"` - `"http"` - `created_at?: string` - `http_port?: number | null` - `https_port?: number | null` - `service_id?: string` - `tls_settings?: TLSSettings | null` TLS settings for a connectivity service. If omitted, the default mode (`verify_full`) is used. - `cert_verification_mode: string` TLS certificate verification mode for the connection to the origin. - `"verify_full"` — verify certificate chain and hostname (default) - `"verify_ca"` — verify certificate chain only, skip hostname check - `"disabled"` — do not verify the server certificate at all - `updated_at?: string` - `InfraTCPServiceConfig` - `host: InfraIPv4Host | InfraIPv6Host | InfraDualStackHost | InfraHostnameHost` - `InfraIPv4Host` - `ipv4: string` - `network: Network` - `tunnel_id: string` - `InfraIPv6Host` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraDualStackHost` - `ipv4: string` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraHostnameHost` - `hostname: string` - `resolver_network: ResolverNetwork` - `tunnel_id: string` - `resolver_ips?: Array | null` - `name: string` - `type: "tcp" | "http"` - `"tcp"` - `"http"` - `app_protocol?: "postgresql" | "mysql" | null` - `"postgresql"` - `"mysql"` - `created_at?: string` - `service_id?: string` - `tcp_port?: number | null` - `tls_settings?: TLSSettings | null` TLS settings for a connectivity service. If omitted, the default mode (`verify_full`) is used. - `cert_verification_mode: string` TLS certificate verification mode for the connection to the origin. - `"verify_full"` — verify certificate chain and hostname (default) - `"verify_ca"` — verify certificate chain only, skip hostname check - `"disabled"` — do not verify the server certificate at all - `updated_at?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const serviceListResponse of client.connectivity.directory.services.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(serviceListResponse); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "host": { "ipv4": "10.0.0.1", "network": { "tunnel_id": "0191dce4-9ab4-7fce-b660-8e5dec5172da" } }, "name": "web-app", "type": "http", "created_at": "2024-01-15T09:30:00Z", "http_port": 8080, "https_port": 8443, "service_id": "550e8400-e29b-41d4-a716-446655440000", "tls_settings": { "cert_verification_mode": "verify_full" }, "updated_at": "2024-01-15T10:45:00Z" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## Create Workers VPC connectivity service `client.connectivity.directory.services.create(ServiceCreateParamsparams, RequestOptionsoptions?): ServiceCreateResponse` **post** `/accounts/{account_id}/connectivity/directory/services` Create Workers VPC connectivity service ### Parameters - `ServiceCreateParams = InfraHTTPServiceConfig | InfraTCPServiceConfig` - `ServiceCreateParamsBase` - `InfraHTTPServiceConfig extends ServiceCreateParamsBase` - `InfraTCPServiceConfig extends ServiceCreateParamsBase` ### Returns - `ServiceCreateResponse = InfraHTTPServiceConfig | InfraTCPServiceConfig` - `InfraHTTPServiceConfig` - `host: InfraIPv4Host | InfraIPv6Host | InfraDualStackHost | InfraHostnameHost` - `InfraIPv4Host` - `ipv4: string` - `network: Network` - `tunnel_id: string` - `InfraIPv6Host` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraDualStackHost` - `ipv4: string` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraHostnameHost` - `hostname: string` - `resolver_network: ResolverNetwork` - `tunnel_id: string` - `resolver_ips?: Array | null` - `name: string` - `type: "tcp" | "http"` - `"tcp"` - `"http"` - `created_at?: string` - `http_port?: number | null` - `https_port?: number | null` - `service_id?: string` - `tls_settings?: TLSSettings | null` TLS settings for a connectivity service. If omitted, the default mode (`verify_full`) is used. - `cert_verification_mode: string` TLS certificate verification mode for the connection to the origin. - `"verify_full"` — verify certificate chain and hostname (default) - `"verify_ca"` — verify certificate chain only, skip hostname check - `"disabled"` — do not verify the server certificate at all - `updated_at?: string` - `InfraTCPServiceConfig` - `host: InfraIPv4Host | InfraIPv6Host | InfraDualStackHost | InfraHostnameHost` - `InfraIPv4Host` - `ipv4: string` - `network: Network` - `tunnel_id: string` - `InfraIPv6Host` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraDualStackHost` - `ipv4: string` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraHostnameHost` - `hostname: string` - `resolver_network: ResolverNetwork` - `tunnel_id: string` - `resolver_ips?: Array | null` - `name: string` - `type: "tcp" | "http"` - `"tcp"` - `"http"` - `app_protocol?: "postgresql" | "mysql" | null` - `"postgresql"` - `"mysql"` - `created_at?: string` - `service_id?: string` - `tcp_port?: number | null` - `tls_settings?: TLSSettings | null` TLS settings for a connectivity service. If omitted, the default mode (`verify_full`) is used. - `cert_verification_mode: string` TLS certificate verification mode for the connection to the origin. - `"verify_full"` — verify certificate chain and hostname (default) - `"verify_ca"` — verify certificate chain only, skip hostname check - `"disabled"` — do not verify the server certificate at all - `updated_at?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const service = await client.connectivity.directory.services.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', host: { hostname: 'api.example.com', resolver_network: { tunnel_id: '0191dce4-9ab4-7fce-b660-8e5dec5172da' }, }, name: 'web-server', type: 'http', }); console.log(service); ``` #### Response ```json { "errors": [], "messages": [], "result": { "created_at": "2024-01-15T09:30:00Z", "host": { "hostname": "api.example.com", "resolver_network": { "tunnel_id": "0191dce4-9ab4-7fce-b660-8e5dec5172da" } }, "name": "web-server", "service_id": "550e8400-e29b-41d4-a716-446655440000", "type": "http", "updated_at": "2024-01-15T09:30:00Z" }, "success": true } ``` ## Get Workers VPC connectivity service `client.connectivity.directory.services.get(stringserviceId, ServiceGetParamsparams, RequestOptionsoptions?): ServiceGetResponse` **get** `/accounts/{account_id}/connectivity/directory/services/{service_id}` Get Workers VPC connectivity service ### Parameters - `serviceId: string` - `params: ServiceGetParams` - `account_id: string` ### Returns - `ServiceGetResponse = InfraHTTPServiceConfig | InfraTCPServiceConfig` - `InfraHTTPServiceConfig` - `host: InfraIPv4Host | InfraIPv6Host | InfraDualStackHost | InfraHostnameHost` - `InfraIPv4Host` - `ipv4: string` - `network: Network` - `tunnel_id: string` - `InfraIPv6Host` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraDualStackHost` - `ipv4: string` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraHostnameHost` - `hostname: string` - `resolver_network: ResolverNetwork` - `tunnel_id: string` - `resolver_ips?: Array | null` - `name: string` - `type: "tcp" | "http"` - `"tcp"` - `"http"` - `created_at?: string` - `http_port?: number | null` - `https_port?: number | null` - `service_id?: string` - `tls_settings?: TLSSettings | null` TLS settings for a connectivity service. If omitted, the default mode (`verify_full`) is used. - `cert_verification_mode: string` TLS certificate verification mode for the connection to the origin. - `"verify_full"` — verify certificate chain and hostname (default) - `"verify_ca"` — verify certificate chain only, skip hostname check - `"disabled"` — do not verify the server certificate at all - `updated_at?: string` - `InfraTCPServiceConfig` - `host: InfraIPv4Host | InfraIPv6Host | InfraDualStackHost | InfraHostnameHost` - `InfraIPv4Host` - `ipv4: string` - `network: Network` - `tunnel_id: string` - `InfraIPv6Host` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraDualStackHost` - `ipv4: string` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraHostnameHost` - `hostname: string` - `resolver_network: ResolverNetwork` - `tunnel_id: string` - `resolver_ips?: Array | null` - `name: string` - `type: "tcp" | "http"` - `"tcp"` - `"http"` - `app_protocol?: "postgresql" | "mysql" | null` - `"postgresql"` - `"mysql"` - `created_at?: string` - `service_id?: string` - `tcp_port?: number | null` - `tls_settings?: TLSSettings | null` TLS settings for a connectivity service. If omitted, the default mode (`verify_full`) is used. - `cert_verification_mode: string` TLS certificate verification mode for the connection to the origin. - `"verify_full"` — verify certificate chain and hostname (default) - `"verify_ca"` — verify certificate chain only, skip hostname check - `"disabled"` — do not verify the server certificate at all - `updated_at?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const service = await client.connectivity.directory.services.get( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: 'account_id' }, ); console.log(service); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "host": { "ipv4": "10.0.0.1", "network": { "tunnel_id": "0191dce4-9ab4-7fce-b660-8e5dec5172da" } }, "name": "web-app", "type": "http", "created_at": "2024-01-15T09:30:00Z", "http_port": 8080, "https_port": 8443, "service_id": "550e8400-e29b-41d4-a716-446655440000", "tls_settings": { "cert_verification_mode": "verify_full" }, "updated_at": "2024-01-15T10:45:00Z" } } ``` ## Update Workers VPC connectivity service `client.connectivity.directory.services.update(stringserviceId, ServiceUpdateParamsparams, RequestOptionsoptions?): ServiceUpdateResponse` **put** `/accounts/{account_id}/connectivity/directory/services/{service_id}` Update Workers VPC connectivity service ### Parameters - `serviceId: string` - `ServiceUpdateParams = InfraHTTPServiceConfig | InfraTCPServiceConfig` - `ServiceUpdateParamsBase` - `InfraHTTPServiceConfig extends ServiceUpdateParamsBase` - `InfraTCPServiceConfig extends ServiceUpdateParamsBase` ### Returns - `ServiceUpdateResponse = InfraHTTPServiceConfig | InfraTCPServiceConfig` - `InfraHTTPServiceConfig` - `host: InfraIPv4Host | InfraIPv6Host | InfraDualStackHost | InfraHostnameHost` - `InfraIPv4Host` - `ipv4: string` - `network: Network` - `tunnel_id: string` - `InfraIPv6Host` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraDualStackHost` - `ipv4: string` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraHostnameHost` - `hostname: string` - `resolver_network: ResolverNetwork` - `tunnel_id: string` - `resolver_ips?: Array | null` - `name: string` - `type: "tcp" | "http"` - `"tcp"` - `"http"` - `created_at?: string` - `http_port?: number | null` - `https_port?: number | null` - `service_id?: string` - `tls_settings?: TLSSettings | null` TLS settings for a connectivity service. If omitted, the default mode (`verify_full`) is used. - `cert_verification_mode: string` TLS certificate verification mode for the connection to the origin. - `"verify_full"` — verify certificate chain and hostname (default) - `"verify_ca"` — verify certificate chain only, skip hostname check - `"disabled"` — do not verify the server certificate at all - `updated_at?: string` - `InfraTCPServiceConfig` - `host: InfraIPv4Host | InfraIPv6Host | InfraDualStackHost | InfraHostnameHost` - `InfraIPv4Host` - `ipv4: string` - `network: Network` - `tunnel_id: string` - `InfraIPv6Host` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraDualStackHost` - `ipv4: string` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraHostnameHost` - `hostname: string` - `resolver_network: ResolverNetwork` - `tunnel_id: string` - `resolver_ips?: Array | null` - `name: string` - `type: "tcp" | "http"` - `"tcp"` - `"http"` - `app_protocol?: "postgresql" | "mysql" | null` - `"postgresql"` - `"mysql"` - `created_at?: string` - `service_id?: string` - `tcp_port?: number | null` - `tls_settings?: TLSSettings | null` TLS settings for a connectivity service. If omitted, the default mode (`verify_full`) is used. - `cert_verification_mode: string` TLS certificate verification mode for the connection to the origin. - `"verify_full"` — verify certificate chain and hostname (default) - `"verify_ca"` — verify certificate chain only, skip hostname check - `"disabled"` — do not verify the server certificate at all - `updated_at?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const service = await client.connectivity.directory.services.update( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: 'account_id', host: { ipv4: '10.0.0.1', network: { tunnel_id: '0191dce4-9ab4-7fce-b660-8e5dec5172da' }, }, name: 'postgres-db', type: 'tcp', }, ); console.log(service); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "host": { "ipv4": "10.0.0.1", "network": { "tunnel_id": "0191dce4-9ab4-7fce-b660-8e5dec5172da" } }, "name": "web-app", "type": "http", "created_at": "2024-01-15T09:30:00Z", "http_port": 8080, "https_port": 8443, "service_id": "550e8400-e29b-41d4-a716-446655440000", "tls_settings": { "cert_verification_mode": "verify_full" }, "updated_at": "2024-01-15T10:45:00Z" } } ``` ## Delete Workers VPC connectivity service `client.connectivity.directory.services.delete(stringserviceId, ServiceDeleteParamsparams, RequestOptionsoptions?): void` **delete** `/accounts/{account_id}/connectivity/directory/services/{service_id}` Delete Workers VPC connectivity service ### Parameters - `serviceId: string` - `params: ServiceDeleteParams` - `account_id: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); await client.connectivity.directory.services.delete('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: 'account_id', }); ``` ## Domain Types ### Service List Response - `ServiceListResponse = InfraHTTPServiceConfig | InfraTCPServiceConfig` - `InfraHTTPServiceConfig` - `host: InfraIPv4Host | InfraIPv6Host | InfraDualStackHost | InfraHostnameHost` - `InfraIPv4Host` - `ipv4: string` - `network: Network` - `tunnel_id: string` - `InfraIPv6Host` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraDualStackHost` - `ipv4: string` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraHostnameHost` - `hostname: string` - `resolver_network: ResolverNetwork` - `tunnel_id: string` - `resolver_ips?: Array | null` - `name: string` - `type: "tcp" | "http"` - `"tcp"` - `"http"` - `created_at?: string` - `http_port?: number | null` - `https_port?: number | null` - `service_id?: string` - `tls_settings?: TLSSettings | null` TLS settings for a connectivity service. If omitted, the default mode (`verify_full`) is used. - `cert_verification_mode: string` TLS certificate verification mode for the connection to the origin. - `"verify_full"` — verify certificate chain and hostname (default) - `"verify_ca"` — verify certificate chain only, skip hostname check - `"disabled"` — do not verify the server certificate at all - `updated_at?: string` - `InfraTCPServiceConfig` - `host: InfraIPv4Host | InfraIPv6Host | InfraDualStackHost | InfraHostnameHost` - `InfraIPv4Host` - `ipv4: string` - `network: Network` - `tunnel_id: string` - `InfraIPv6Host` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraDualStackHost` - `ipv4: string` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraHostnameHost` - `hostname: string` - `resolver_network: ResolverNetwork` - `tunnel_id: string` - `resolver_ips?: Array | null` - `name: string` - `type: "tcp" | "http"` - `"tcp"` - `"http"` - `app_protocol?: "postgresql" | "mysql" | null` - `"postgresql"` - `"mysql"` - `created_at?: string` - `service_id?: string` - `tcp_port?: number | null` - `tls_settings?: TLSSettings | null` TLS settings for a connectivity service. If omitted, the default mode (`verify_full`) is used. - `cert_verification_mode: string` TLS certificate verification mode for the connection to the origin. - `"verify_full"` — verify certificate chain and hostname (default) - `"verify_ca"` — verify certificate chain only, skip hostname check - `"disabled"` — do not verify the server certificate at all - `updated_at?: string` ### Service Create Response - `ServiceCreateResponse = InfraHTTPServiceConfig | InfraTCPServiceConfig` - `InfraHTTPServiceConfig` - `host: InfraIPv4Host | InfraIPv6Host | InfraDualStackHost | InfraHostnameHost` - `InfraIPv4Host` - `ipv4: string` - `network: Network` - `tunnel_id: string` - `InfraIPv6Host` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraDualStackHost` - `ipv4: string` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraHostnameHost` - `hostname: string` - `resolver_network: ResolverNetwork` - `tunnel_id: string` - `resolver_ips?: Array | null` - `name: string` - `type: "tcp" | "http"` - `"tcp"` - `"http"` - `created_at?: string` - `http_port?: number | null` - `https_port?: number | null` - `service_id?: string` - `tls_settings?: TLSSettings | null` TLS settings for a connectivity service. If omitted, the default mode (`verify_full`) is used. - `cert_verification_mode: string` TLS certificate verification mode for the connection to the origin. - `"verify_full"` — verify certificate chain and hostname (default) - `"verify_ca"` — verify certificate chain only, skip hostname check - `"disabled"` — do not verify the server certificate at all - `updated_at?: string` - `InfraTCPServiceConfig` - `host: InfraIPv4Host | InfraIPv6Host | InfraDualStackHost | InfraHostnameHost` - `InfraIPv4Host` - `ipv4: string` - `network: Network` - `tunnel_id: string` - `InfraIPv6Host` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraDualStackHost` - `ipv4: string` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraHostnameHost` - `hostname: string` - `resolver_network: ResolverNetwork` - `tunnel_id: string` - `resolver_ips?: Array | null` - `name: string` - `type: "tcp" | "http"` - `"tcp"` - `"http"` - `app_protocol?: "postgresql" | "mysql" | null` - `"postgresql"` - `"mysql"` - `created_at?: string` - `service_id?: string` - `tcp_port?: number | null` - `tls_settings?: TLSSettings | null` TLS settings for a connectivity service. If omitted, the default mode (`verify_full`) is used. - `cert_verification_mode: string` TLS certificate verification mode for the connection to the origin. - `"verify_full"` — verify certificate chain and hostname (default) - `"verify_ca"` — verify certificate chain only, skip hostname check - `"disabled"` — do not verify the server certificate at all - `updated_at?: string` ### Service Get Response - `ServiceGetResponse = InfraHTTPServiceConfig | InfraTCPServiceConfig` - `InfraHTTPServiceConfig` - `host: InfraIPv4Host | InfraIPv6Host | InfraDualStackHost | InfraHostnameHost` - `InfraIPv4Host` - `ipv4: string` - `network: Network` - `tunnel_id: string` - `InfraIPv6Host` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraDualStackHost` - `ipv4: string` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraHostnameHost` - `hostname: string` - `resolver_network: ResolverNetwork` - `tunnel_id: string` - `resolver_ips?: Array | null` - `name: string` - `type: "tcp" | "http"` - `"tcp"` - `"http"` - `created_at?: string` - `http_port?: number | null` - `https_port?: number | null` - `service_id?: string` - `tls_settings?: TLSSettings | null` TLS settings for a connectivity service. If omitted, the default mode (`verify_full`) is used. - `cert_verification_mode: string` TLS certificate verification mode for the connection to the origin. - `"verify_full"` — verify certificate chain and hostname (default) - `"verify_ca"` — verify certificate chain only, skip hostname check - `"disabled"` — do not verify the server certificate at all - `updated_at?: string` - `InfraTCPServiceConfig` - `host: InfraIPv4Host | InfraIPv6Host | InfraDualStackHost | InfraHostnameHost` - `InfraIPv4Host` - `ipv4: string` - `network: Network` - `tunnel_id: string` - `InfraIPv6Host` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraDualStackHost` - `ipv4: string` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraHostnameHost` - `hostname: string` - `resolver_network: ResolverNetwork` - `tunnel_id: string` - `resolver_ips?: Array | null` - `name: string` - `type: "tcp" | "http"` - `"tcp"` - `"http"` - `app_protocol?: "postgresql" | "mysql" | null` - `"postgresql"` - `"mysql"` - `created_at?: string` - `service_id?: string` - `tcp_port?: number | null` - `tls_settings?: TLSSettings | null` TLS settings for a connectivity service. If omitted, the default mode (`verify_full`) is used. - `cert_verification_mode: string` TLS certificate verification mode for the connection to the origin. - `"verify_full"` — verify certificate chain and hostname (default) - `"verify_ca"` — verify certificate chain only, skip hostname check - `"disabled"` — do not verify the server certificate at all - `updated_at?: string` ### Service Update Response - `ServiceUpdateResponse = InfraHTTPServiceConfig | InfraTCPServiceConfig` - `InfraHTTPServiceConfig` - `host: InfraIPv4Host | InfraIPv6Host | InfraDualStackHost | InfraHostnameHost` - `InfraIPv4Host` - `ipv4: string` - `network: Network` - `tunnel_id: string` - `InfraIPv6Host` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraDualStackHost` - `ipv4: string` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraHostnameHost` - `hostname: string` - `resolver_network: ResolverNetwork` - `tunnel_id: string` - `resolver_ips?: Array | null` - `name: string` - `type: "tcp" | "http"` - `"tcp"` - `"http"` - `created_at?: string` - `http_port?: number | null` - `https_port?: number | null` - `service_id?: string` - `tls_settings?: TLSSettings | null` TLS settings for a connectivity service. If omitted, the default mode (`verify_full`) is used. - `cert_verification_mode: string` TLS certificate verification mode for the connection to the origin. - `"verify_full"` — verify certificate chain and hostname (default) - `"verify_ca"` — verify certificate chain only, skip hostname check - `"disabled"` — do not verify the server certificate at all - `updated_at?: string` - `InfraTCPServiceConfig` - `host: InfraIPv4Host | InfraIPv6Host | InfraDualStackHost | InfraHostnameHost` - `InfraIPv4Host` - `ipv4: string` - `network: Network` - `tunnel_id: string` - `InfraIPv6Host` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraDualStackHost` - `ipv4: string` - `ipv6: string` - `network: Network` - `tunnel_id: string` - `InfraHostnameHost` - `hostname: string` - `resolver_network: ResolverNetwork` - `tunnel_id: string` - `resolver_ips?: Array | null` - `name: string` - `type: "tcp" | "http"` - `"tcp"` - `"http"` - `app_protocol?: "postgresql" | "mysql" | null` - `"postgresql"` - `"mysql"` - `created_at?: string` - `service_id?: string` - `tcp_port?: number | null` - `tls_settings?: TLSSettings | null` TLS settings for a connectivity service. If omitted, the default mode (`verify_full`) is used. - `cert_verification_mode: string` TLS certificate verification mode for the connection to the origin. - `"verify_full"` — verify certificate chain and hostname (default) - `"verify_ca"` — verify certificate chain only, skip hostname check - `"disabled"` — do not verify the server certificate at all - `updated_at?: string`